package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.PartyACertificatePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraPartyACertificateDO;
import java.util.List;

public interface ElderlyExtraPartyACertificateService {
    Long create(ElderlyExtraPartyACertificateDO createReqVO);
    void update(ElderlyExtraPartyACertificateDO updateReqVO);
    void delete(Long id);
    PageResult<ElderlyExtraPartyACertificateDO> findPage(PartyACertificatePageReqVO reqVO);
    ElderlyExtraPartyACertificateDO getDetail(Long id);
    List<ElderlyExtraPartyACertificateDO> getListByElderId(Long elderId);
}
